package com.usky.dxtop.controller.web.business;


import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.ProductOrder;
import com.usky.dxtop.service.ProductOrderService;
import com.usky.dxtop.service.vo.ProductOrderRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.List;

/**
 *  商品订单
 *
 * @author yq
 * @since 2022-07-05
 */
@RestController
@RequestMapping("/productOrder")
public class ProductOrderController {


    @Autowired
    private ProductOrderService productOrderService;



    /**
     * 新增
     * @param productOrder
     * @return
     */
    @PostMapping
    public ApiResult add(@RequestBody ProductOrder productOrder){
        productOrderService.add(productOrder);
        return ApiResult.success();
    }

    /**
     * 分页
     * @param productOrderRequest
     * @return
     */
    @PostMapping("/page")
    public ApiResult<CommonPage<ProductOrder>> page(@RequestBody ProductOrderRequest productOrderRequest){
        return ApiResult.success(productOrderService.page(productOrderRequest));
    }

    /**
     * 导出
     * @param productOrderRequest
     * @return
     */
    @PostMapping("/export")
    public ApiResult<String> export(@RequestBody ProductOrderRequest productOrderRequest){
        return ApiResult.success(productOrderService.export(productOrderRequest));
    }

    /**
     * 批量退订
     * @param list
     * @return
     */
    @PostMapping("/unsubscribeBath")
    public ApiResult<Boolean> unsubscribeBath(@RequestBody List<ProductOrder> list){
        return ApiResult.success(productOrderService.unsubscribeBath(list));
    }

    /**
     * 订单汇总
     * @param userId
     * @return
     */
    @GetMapping("/orderCollect")
    public ApiResult orderCollect(@RequestParam(required = false) Long userId){
        return ApiResult.success(productOrderService.orderCollect(userId));
    }

}

