package com.usky.dxtop.model;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2022-08-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DreOrder implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 订单编号
     */
    private String orderNumber;
    /**
     * 接单人编号
     */
    private Long orderUserId;

    /**
     * 下单人
     */
    private String orderUserName;

    /**
     * 下单时间
     */
    private Date orderTime;

    /**
     * 点餐人联系电话
     */
    private String phone;

    /**
     * 订单地址
     */
    private String address;

    /**
     * 总金额
     */
    private BigDecimal totalMoney;

    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 餐别
     */
    @JsonProperty("mType")
    private String mType;

    /**
     * 接单人编号
     */
    private Long receiveUserId;
    /**
     * 接单人
     */
    private String receiveUserName;

    /**
     * 接单时间
     */
    private Date receiveTime;

    /**
     * 送单人编号
     */
    private String sendUserId;

    /**
     * 送单人
     */
    private String sendUserName;

    /**
     * 送单时间
     */
    private Date sendTime;

    /**
     * 完成时间
     */
    private Date sendEndTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 修改人
     */
    private String updateBy;


    @TableField(exist = false)
    private List<DreOrderDetail> dreOrderDetails;

}
