package com.usky.dxtop.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.time.LocalTime;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商品详情
 * </p>
 *
 * @author yq
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ProductInfo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品类别编号
     */
    private Long productTypeId;

    /**
     * 开始时间
     */
    private LocalTime startTime;

    /**
     * 结束时间
     */
    private LocalTime endTime;
    /**
     * 费浦设备类型编号
     */
    private String fpDeviceId;

    /**
     * 单价
     */
    private BigDecimal productPrice;

    /**
     * 重复周期
     */
    private String repetitionCysles;

    /**
     * 是否有效
     */
    private Long status;

    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    private String updateBy;

    private Date updateTime;

    @TableField(exist = false)
    private List<String> cysles;

    @TableField(exist = false)
    private String productTypeName;

}
