package com.usky.dxtop.service;

import com.alibaba.fastjson.JSONObject;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.ProductOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.service.vo.ProductInfoRequest;
import com.usky.dxtop.service.vo.ProductOrderRequest;
import org.apache.commons.math3.stat.descriptive.summary.Product;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2022-07-05
 */
public interface ProductOrderService extends IService<ProductOrder> {


    /**
     * 新增
     * @param productOrder
     * @return
     */
    Boolean add(ProductOrder productOrder);

    /**
     * 分页
     * @param productOrderRequest
     * @return
     */
    CommonPage<ProductOrder> page(ProductOrderRequest productOrderRequest);


    String export(ProductOrderRequest productOrderRequest);

    /**
     * 批量退订
     * @param list
     * @return
     */
    Boolean unsubscribeBath(List<ProductOrder> list);

    /**
     * 订单统计
     * @param userId
     * @return
     */
    Map<String,Object> orderCollect(Long userId);


    public void checkCarPayResult(ProductOrder productOrder, JSONObject jsonObject);
}
