package com.usky.dxtop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.common.exception.CustomException;
import com.usky.dxtop.model.DreUser;
import com.usky.dxtop.mapper.DreUserMapper;
import com.usky.dxtop.model.Staff;
import com.usky.dxtop.model.StaffRadio;
import com.usky.dxtop.service.DreUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.usky.dxtop.service.vo.DreUserVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author yq
 * @since 2022-08-15
 */
@Service
public class DreUserServiceImpl extends ServiceImpl<DreUserMapper, DreUser> implements DreUserService {

    @Override
    public CommonPage<DreUserVO> page(Integer current, Integer size,String userName,Boolean isSend) {
        IPage<DreUserVO> page = new Page<>(current, size);
        page = baseMapper.page(page, userName,isSend);
        return new CommonPage<>(page.getRecords(),page.getTotal(),page.getCurrent(),page.getSize());
    }

    @Override
    public void addList(List<DreUser> list) {
        if (CollectionUtils.isEmpty(list)){
            throw new CustomException("请选择要关联的信息");
        }
        List<DreUser> removeList = list.stream()
                .filter(dreUser -> !dreUser.isDelFlag()).collect(Collectors.toList());

        List<DreUser> addList = list.stream()
                .filter(DreUser::isDelFlag).collect(Collectors.toList());
        if (CollectionUtils.isNotEmpty(removeList)){
            LambdaQueryWrapper<DreUser> queryWrapper = Wrappers.lambdaQuery();
            queryWrapper.in(DreUser::getUserId,removeList.stream().map(DreUser::getUserId).collect(Collectors.toList()));
            this.remove(queryWrapper);
        }
        if (CollectionUtils.isNotEmpty(addList)){
            this.saveBatch(addList);
        }
    }

    @Override
    public List<DreUserVO> list(String name, Boolean isSend) {
        return null;
    }
}
