# 充值系统API接口说明文件
Version |  Update Time  | Status | Author |  Description
---|---|---|---|---
v2022-08-14 14:28:23|2022-08-14 14:28:23|auto|@pc|Created by smart-doc



## 餐品信息
### 上传餐品
**URL:** https://smartpark.caih.com/dxapi/dreMenu/batchByFile

**Type:** POST

**Author:** yq

**Content-Type:** multipart/form-data

**Description:** 上传餐品

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
file|file|No comments found.|true|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|异常消息|-
data|object|数据|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "53312",
	"msg": "1tjoh1",
	"data": null,
	"exception": "ptgub9"
}
```

### 修改记录
**URL:** https://smartpark.caih.com/dxapi/dreMenu/

**Type:** PUT

**Author:** yq

**Content-Type:** application/json; charset=utf-8

**Description:** 修改记录

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|int64|主键|false|-
type|string|餐别|false|-
name|string|名称|false|-
price|number|单价|false|-
isRecommend|int32|是否推荐0否1是|false|-
status|int32|0上架1下架|false|-
createTime|string|创建时间|false|-
createBy|string|创建人|false|-
updateTime|string|修改时间|false|-
updateBy|string|修改人|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|异常消息|-
data|object|数据|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "53312",
	"msg": "rvxdne",
	"data": null,
	"exception": "srbxn0"
}
```

### 记录查询
**URL:** https://smartpark.caih.com/dxapi/dreMenu/list

**Type:** GET

**Author:** yq

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 记录查询

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
current|int32|页数|true|-
size|int32|条数|true|-
type|string|餐别|false|-
name|string|名称|false|-
isRecommend|int32|0不推荐1推荐|false|-
status|int32|0上架1下架|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|异常消息|-
data|object|数据|-
└─records|array|数据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|int64|主键|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|string|餐别|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|string|名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─price|number|单价|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isRecommend|int32|是否推荐0否1是|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|int32|0上架1下架|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|string|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createBy|string|创建人|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|string|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateBy|string|修改人|-
└─total|int64|总条数|-
└─size|int64|页数|-
└─current|int64|条数|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "53312",
	"msg": "ermk7k",
	"data": {
		"records": [
			{
				"id": 806,
				"type": "cnshr0",
				"name": "展鹏.钟",
				"price": 900,
				"isRecommend": 175,
				"status": 364,
				"createTime": "2022-08-14 14:28:25",
				"createBy": "q68z0k",
				"updateTime": "2022-08-14 14:28:25",
				"updateBy": "pejiek"
			}
		],
		"total": 534,
		"size": 351,
		"current": 617
	},
	"exception": "aqjm0m"
}
```

## 餐品订单
### 新增记录
**URL:** https://smartpark.caih.com/dxapi/dreOrder/

**Type:** POST

**Author:** yq

**Content-Type:** application/json; charset=utf-8

**Description:** 新增记录

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|int64|主键|false|-
orderNumber|string|订单编号|false|-
orderUserName|string|下单人|false|-
orderTime|string|下单时间|false|-
phone|string|点餐人联系电话|false|-
address|string|订单地址|false|-
totalMoney|number|总金额|false|-
orderStatus|int32|订单状态|false|-
mType|string|餐别|false|-
receiveUserName|string|接单人|false|-
receiveTime|string|接单时间|false|-
sendUserName|string|送单人|false|-
sendTime|string|送单时间|false|-
sendEndTime|string|完成时间|false|-
remark|string|备注|false|-
createTime|string|创建时间|false|-
createBy|string|创建人|false|-
updateTime|string|修改时间|false|-
updateBy|string|修改人|false|-
dreOrderDetails|array|No comments found.|false|-
└─id|int64|主键|false|-
└─orderId|int64|订单编号|false|-
└─mName|string|名称|false|-
└─mPrice|number|单价|false|-
└─totalPrice|number|总金额|false|-
└─mCount|int32|数量|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|异常消息|-
data|object|数据|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "53312",
	"msg": "olmfib",
	"data": null,
	"exception": "3yz8eh"
}
```

### 修改记录
**URL:** https://smartpark.caih.com/dxapi/dreOrder/

**Type:** PUT

**Author:** yq

**Content-Type:** application/json; charset=utf-8

**Description:** 修改记录

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
id|int64|主键|false|-
orderNumber|string|订单编号|false|-
orderUserName|string|下单人|false|-
orderTime|string|下单时间|false|-
phone|string|点餐人联系电话|false|-
address|string|订单地址|false|-
totalMoney|number|总金额|false|-
orderStatus|int32|订单状态|false|-
mType|string|餐别|false|-
receiveUserName|string|接单人|false|-
receiveTime|string|接单时间|false|-
sendUserName|string|送单人|false|-
sendTime|string|送单时间|false|-
sendEndTime|string|完成时间|false|-
remark|string|备注|false|-
createTime|string|创建时间|false|-
createBy|string|创建人|false|-
updateTime|string|修改时间|false|-
updateBy|string|修改人|false|-
dreOrderDetails|array|No comments found.|false|-
└─id|int64|主键|false|-
└─orderId|int64|订单编号|false|-
└─mName|string|名称|false|-
└─mPrice|number|单价|false|-
└─totalPrice|number|总金额|false|-
└─mCount|int32|数量|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|异常消息|-
data|object|数据|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "53312",
	"msg": "6htb8l",
	"data": null,
	"exception": "k0y1qg"
}
```

### 分页记录查询
**URL:** https://smartpark.caih.com/dxapi/dreOrder/page

**Type:** POST

**Author:** yq

**Content-Type:** application/json; charset=utf-8

**Description:** 分页记录查询

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
current|int32|页数|false|-
size|int32|条数|false|-
mType|string|餐别|false|-
startTime|string|开始时间|false|-
endTime|string|结束时间|false|-
orderStatus|int32|订单状态|false|-
orderUserName|string|下单人|false|-
phone|string|点餐人联系电话|false|-
receiveUserName|string|接单人|false|-
sendUserName|string|送单人|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|异常消息|-
data|object|数据|-
└─records|array|数据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|int64|主键|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─orderNumber|string|订单编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─orderUserName|string|下单人|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─orderTime|string|下单时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─phone|string|点餐人联系电话|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─address|string|订单地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalMoney|number|总金额|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─orderStatus|int32|订单状态|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mType|string|餐别|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─receiveUserName|string|接单人|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─receiveTime|string|接单时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sendUserName|string|送单人|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sendTime|string|送单时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sendEndTime|string|完成时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|string|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|string|创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createBy|string|创建人|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateTime|string|修改时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─updateBy|string|修改人|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dreOrderDetails|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|int64|主键|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─orderId|int64|订单编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mName|string|名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mPrice|number|单价|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─totalPrice|number|总金额|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─mCount|int32|数量|-
└─total|int64|总条数|-
└─size|int64|页数|-
└─current|int64|条数|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "53312",
	"msg": "klb6f4",
	"data": {
		"records": [
			{
				"id": 20,
				"orderNumber": "6smb30",
				"orderUserName": "展鹏.钟",
				"orderTime": "2022-08-14",
				"phone": "13753484582",
				"address": "Apt. 708 钱街0489号， 乳山， 辽 875472",
				"totalMoney": 968,
				"orderStatus": 843,
				"mType": "36ejtn",
				"receiveUserName": "展鹏.钟",
				"receiveTime": "2022-08-14",
				"sendUserName": "展鹏.钟",
				"sendTime": "2022-08-14",
				"sendEndTime": "2022-08-14",
				"remark": "z4g703",
				"createTime": "2022-08-14",
				"createBy": "fha3md",
				"updateTime": "2022-08-14",
				"updateBy": "uce3bp",
				"dreOrderDetails": [
					{
						"id": 374,
						"orderId": 423,
						"mName": "展鹏.钟",
						"mPrice": 644,
						"totalPrice": 591,
						"mCount": 798
					}
				]
			}
		],
		"total": 176,
		"size": 394,
		"current": 858
	},
	"exception": "iqj302"
}
```

### 订单详情导出
**URL:** https://smartpark.caih.com/dxapi/dreOrder/exportDetail

**Type:** POST

**Author:** yq

**Content-Type:** application/json; charset=utf-8

**Description:** 订单详情导出

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
current|int32|页数|false|-
size|int32|条数|false|-
mType|string|餐别|false|-
startTime|string|开始时间|false|-
endTime|string|结束时间|false|-
orderStatus|int32|订单状态|false|-
orderUserName|string|下单人|false|-
phone|string|点餐人联系电话|false|-
receiveUserName|string|接单人|false|-
sendUserName|string|送单人|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|异常消息|-
data|object|数据|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "53312",
	"msg": "xg209a",
	"data": "eyz74c",
	"exception": "9u5uav"
}
```

## 餐品订单详情
### 订单餐品集合
**URL:** https://smartpark.caih.com/dxapi/dreOrderDetail/listByOrder

**Type:** GET

**Author:** yq

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 订单餐品集合

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
orderId|int64|No comments found.|true|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|异常消息|-
data|object|数据|-
└─id|int64|主键|-
└─orderId|int64|订单编号|-
└─mName|string|名称|-
└─mPrice|number|单价|-
└─totalPrice|number|总金额|-
└─mCount|int32|数量|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "53312",
	"msg": "oc2vd2",
	"data": [
		{
			"id": 11,
			"orderId": 880,
			"mName": "展鹏.钟",
			"mPrice": 985,
			"totalPrice": 486,
			"mCount": 22
		}
	],
	"exception": "w5nxqb"
}
```


